Diff a template project workspace
Returns exact added, modified, and deleted project files against the current Git base commit.
Returns exact added, modified, and deleted project files against the current Git base commit.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
expectedRevision*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace/diff" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string" }'{ "projectId": "string", "baseCommit": "string", "revision": "string", "changes": [ { "path": "string", "before": "string", "after": "string", "status": "added" } ]}Detach a template from a family
Removes a member template from the family without deleting the template. Use this endpoint to detach a template from a family through the Samva email API.
Get a template
Returns template metadata, its project entry path, and compiled channel content. Open live project files through the workspace API.